<?php

// web routes  for chapter
Route::prefix('{guard}/chapter')->group(function () {
    Route::resource('chapter', 'ChapterResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ChapterResourceController');
            });
            // Public routes for pages
            Route::get('chapters/', 'ChapterPublicController@index');
            Route::get('chapters/{slug?}', 'ChapterPublicController@show');
        }
    );
}

