<?php

namespace Research\Chapter;

use User;

class Chapter
{
    /**
     * $chapter object.
     */
    protected $chapter;

    /**
     * Constructor.
     */
    public function __construct(\Research\Chapter\Interfaces\ChapterRepositoryInterface $chapter)
    {
        $this->chapter = $chapter;
    }

    /**
     * Returns count of chapter.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.chapter.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->chapter->pushCriteria(new \Litepie\Research\Repositories\Criteria\ChapterUserCriteria());
        }

        $chapter = $this->chapter->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('chapter::' . $view, compact('chapter'))->render();
    }
}
