<?php

namespace Research\Chapter\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ChapterTransformer extends TransformerAbstract
{
    public function transform(\Research\Chapter\Models\Chapter $chapter)
    {
        return [
            'id'                => $chapter->getRouteKey(),
            'key'               => [
                'public'    => $chapter->getPublicKey(),
                'route'     => $chapter->getRouteKey(),
            ], 
            'subject_id'        => $chapter->subject_id,
            'name'              => $chapter->name,
            'details'           => $chapter->details,
            'deleted_at'        => $chapter->deleted_at,
            'url'               => [
                'public'    => trans_url('chapter/'.$chapter->getPublicKey()),
                'user'      => guard_url('chapter/chapter/'.$chapter->getRouteKey()),
            ], 
            'status'            => trans('app.'.$chapter->status),
            'created_at'        => format_date($chapter->created_at),
            'updated_at'        => format_date($chapter->updated_at),
        ];
    }
}